Results 1 to 9 of 9

Thread: Update Leap with KDE 5.8.8

  1. #1

    Default Update Leap with KDE 5.8.8

    I have a doubt, my opensuse leap with KDE is with version 5.8.7, and already it was released to 5.8.8 and it is possible to do the update in leap?

  2. #2
    Join Date
    Nov 2016
    Location
    Johannesburg, South Africa
    Posts
    40

    Default Re: Update Leap with KDE 5.8.8

    Not 100% sure but Plasma doesn't automatically get updated with Leap. As with the Fedora Plasma spin there may or may be no point releases. As far as I know Leap runs some form of customised plasma so things work a bit differently. If you are not experiencing bugs there is hardly a need to try installing it manually.

  3. #3
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Update Leap with KDE 5.8.8

    LEAP is a stable distribution it doesn't get software upgrades however bug fixes stability and security fixes get back ported in the update repo
    but if you want the latest LTS release you can get it from the KDE:/Frameworks5:/LTS reposetory
    https://download.opensuse.org/reposi...USE_Leap_42.3/
    it currently has plasma 5.8.8 LTS
    you'd need to add the above repo and do a full vendor change to it
    Code:
    zypper ar -f https://download.opensuse.org/repositories/KDE:/Frameworks5:/LTS/openSUSE_Leap_42.3/KDE:Frameworks5:LTS.repo
    zypper dup --from http://download.opensuse.org/repositories/KDE:/Frameworks5:/LTS/openSUSE_Leap_42.3/
    I do not recommend this as all fixes will be released as updates from the update repo and adding an extra repo and doing a fill vendor change to it might break something if you don't know what you're doing

  4. #4
    Join Date
    Nov 2016
    Location
    Johannesburg, South Africa
    Posts
    40

    Default Re: Update Leap with KDE 5.8.8

    Quote Originally Posted by I_A View Post
    I do not recommend this as all fixes will be released as updates from the update repo and adding an extra repo and doing a fill vendor change to it might break something if you don't know what you're doing
    Can't agree enough on this. It's not worth it. If there are important bug fixes and security upgrades they will get back ported. On another note have you tested Tumbleweed to see how that works for you. I was also skeptical about going onto a rolling-type distro but its awesome. With the ability to rollback and regular backup of your files there is really little to worry about.

  5. #5
    Join Date
    Feb 2010
    Location
    Upstate New York, USA
    Posts
    480

    Default Re: Update Leap with KDE 5.8.8

    Quote Originally Posted by I_A View Post
    LEAP is a stable distribution it doesn't get software upgrades however bug fixes stability and security fixes get back ported in the update repo
    but if you want the latest LTS release you can get it from the KDE:/Frameworks5:/LTS reposetory
    https://download.opensuse.org/reposi...USE_Leap_42.3/
    it currently has plasma 5.8.8 LTS
    you'd need to add the above repo and do a full vendor change to it
    Code:
    zypper ar -f https://download.opensuse.org/repositories/KDE:/Frameworks5:/LTS/openSUSE_Leap_42.3/KDE:Frameworks5:LTS.repo
    zypper dup --from http://download.opensuse.org/repositories/KDE:/Frameworks5:/LTS/openSUSE_Leap_42.3/
    I do not recommend this as all fixes will be released as updates from the update repo and adding an extra repo and doing a fill vendor change to it might break something if you don't know what you're doing
    If one were to add the above repository (with vendor change), and experienced undesirable consequences, could the remedy be to remove the added repository and to a zypper dup ?
    Lap: Gateway NV79, i5-430, 4GB, 2 x 500GB HD, Intel GMA HD
    openSUSE Leap 15.0 x64 + 42.3 x64, KDE 5.15.3, Ubuntu 16.04 LTS, Windows 7

    Test:: openSUSE 15.0, KDE Plasma, Windows/XP/SP3 guest.

  6. #6
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Update Leap with KDE 5.8.8

    yes you can allway do a zypper dup with the main + update repo but there is no real reason for adding this repo under leap
    that's more for TW users who want to use plasma lts

  7. #7
    Join Date
    Feb 2010
    Location
    Upstate New York, USA
    Posts
    480

    Default Re: Update Leap with KDE 5.8.8

    Quote Originally Posted by I_A View Post
    yes you can allway do a zypper dup with the main + update repo but there is no real reason for adding this repo under leap
    that's more for TW users who want to use plasma lts
    It seems that the migration to the KDE Plasma5 LTS is a tad more complicated. Adding only the KDE "Frameworks" repository introduces an almost uncountable number of conflicts, most associated with "libQT5score", and some others.

    To resolve these conflicts requires the addition of the QT5 repository (download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.3/). At that point, one will spend a LOT of keyboard time selecting option #2 to install some updated QT5 package. Of course, one could zypper in the QT5 repository first.

    Frankly, it is a tad of a challenge, and could be messy.
    Lap: Gateway NV79, i5-430, 4GB, 2 x 500GB HD, Intel GMA HD
    openSUSE Leap 15.0 x64 + 42.3 x64, KDE 5.15.3, Ubuntu 16.04 LTS, Windows 7

    Test:: openSUSE 15.0, KDE Plasma, Windows/XP/SP3 guest.

  8. #8
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Update Leap with KDE 5.8.8

    I wasn't sure if the updated Qt5 repo was needed for lts but I guess it was you also need KDE:/Qt5
    http://download.opensuse.org/reposit...USE_Leap_42.3/
    again I'm not sure about the applications repo as plasma 5 is the desktop only you might need KDE:/Extra
    http://download.opensuse.org/reposit...USE_Leap_42.3/

    Code:
    zypper ar -f http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.3/KDE:Qt5.repo
    zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.3/KDE:Extra.repo
    and then you need to do
    Code:
    zypper dup --from <KDE:LTS> --from <KDE:Qt5> --from <KDE:Extra>
    replace <KDE:LTS> with the repo URL or repo name or repo alias or repo number (do this for all 3 repos)
    just keep in mind upgrading Qt5 will break non kde applications that use Qt5 (parts of lxqt will definitely break)
    and if you're upgrading Qt5 why go for LTS why not install plasma 5.11
    http://download.opensuse.org/reposit...USE_Leap_42.3/
    the process is the same do a zypper dup --from ...


    ps
    that's another reason to stay with the plasma 5 from the update repo all bug fixes will be ported back changing Qt libraries is risky and unnecessary for LTS

    edit
    there is a good wiki about the kde repositories including lts releases
    https://en.opensuse.org/SDB:KDE_repo...rks_and_Plasma

  9. #9
    Join Date
    Feb 2010
    Location
    Upstate New York, USA
    Posts
    480

    Default Re: Update Leap with KDE 5.8.8

    The LTS update was not that much different ,,, so ....

    I took your suggestion to go to plasma 5.11.? .... the zypper update went uneventful, except for for downgrades ...

    One word: Wow! Tear problem gone, swap usage plunging, and ... (wait for it) ...

    much quicker!!!!!!!!!!!
    Lap: Gateway NV79, i5-430, 4GB, 2 x 500GB HD, Intel GMA HD
    openSUSE Leap 15.0 x64 + 42.3 x64, KDE 5.15.3, Ubuntu 16.04 LTS, Windows 7

    Test:: openSUSE 15.0, KDE Plasma, Windows/XP/SP3 guest.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •